Make a phone call
curl --request POST \
--url https://repforce.ai/api/user/make_call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "<string>",
"assistant_id": 123,
"variables": {
"customer_name": "<string>",
"email": "<string>"
}
}
'import requests
url = "https://repforce.ai/api/user/make_call"
payload = {
"phone_number": "<string>",
"assistant_id": 123,
"variables": {
"customer_name": "<string>",
"email": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '<string>',
assistant_id: 123,
variables: {customer_name: '<string>', email: '<string>'}
})
};
fetch('https://repforce.ai/api/user/make_call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Call initiated successfully",
"data": {}
}
Calls
Make a phone call
Make a phone call
POST
/
user
/
make_call
Make a phone call
This endpoint allows you to make a phone call.
Request body
The phone number of the customer in E.164 format (e.g. +1234567890)
The ID of the assistant to make the call with
Custom variables to pass to the call. You can include any variables that are defined on your assistant (see Call variables). The examples below are just for illustration — use your own variable names as configured in the assistant settings.
Response
The message of the response
{
"message": "Call initiated successfully",
"data": {}
}
⌘I

